package org.king.common.exception;

import lombok.Getter;

/**
 * 微信相关异常
 */
public class WeChatException extends RuntimeException {
	private static final long serialVersionUID = 1L;

	@Getter
	private Integer errorCode;

	public WeChatException(String message) {
		super(message);
	}

	public WeChatException(String message, Integer errorCode) {
		super(message);
		this.errorCode = errorCode;
	}

	public WeChatException(Throwable cause)
	{
		super(cause);
	}

	public WeChatException(String message, Throwable cause)
	{
		super(message,cause);
	}

}
